org.apache.ode.bpel.pmapi

## Interface TInstanceInfo.CorrelationProperties

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TInstanceInfoImpl.CorrelationPropertiesImpl
  Enclosing interface:
    TInstanceInfo

      public static interface TInstanceInfo.CorrelationProperties
      extends org.apache.xmlbeans.XmlObject

  An XML correlation-properties(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Property Summary

    Properties
    Type | Property and Description
    --- | ---
    `TCorrelationProperty` | `addNewCorrelation` Appends and returns a new empty value (as xml) as the last "correlation-property" element

  - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TInstanceInfo.CorrelationProperties.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TCorrelationProperty` | `addNewCorrelationProperty()` Appends and returns a new empty value (as xml) as the last "correlation-property" element
    `TCorrelationProperty[]` | `getCorrelationPropertyArray()` Deprecated.
    `TCorrelationProperty` | `getCorrelationPropertyArray(int i)` Gets ith "correlation-property" element
    `java.util.List<TCorrelationProperty>` | `getCorrelationPropertyList()` Gets a List of "correlation-property" elements
    `TCorrelationProperty` | `insertNewCorrelationProperty(int i)` Inserts and returns a new empty value (as xml) as the ith "correlation-property" element
    `void` | `removeCorrelationProperty(int i)` Removes the ith "correlation-property" element
    `void` | `setCorrelationPropertyArray(int i, TCorrelationProperty correlationProperty)` Sets ith "correlation-property" element
    `void` | `setCorrelationPropertyArray(TCorrelationProperty[] correlationPropertyArray)` Sets array of all "correlation-property" element
    `int` | `sizeOfCorrelationPropertyArray()` Returns number of "correlation-property" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Property Detail

    - #### addNewCorrelation

      Appends and returns a new empty value (as xml) as the last "correlation-property" element

  - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getCorrelationPropertyList

          java.util.List<TCorrelationProperty> getCorrelationPropertyList()

      Gets a List of "correlation-property" elements

    - #### getCorrelationPropertyArray

          @Deprecated
          TCorrelationProperty[] getCorrelationPropertyArray()

      Deprecated.
      Gets array of all "correlation-property" elements

    - #### getCorrelationPropertyArray

          TCorrelationProperty getCorrelationPropertyArray(int i)

      Gets ith "correlation-property" element

    - #### sizeOfCorrelationPropertyArray

          int sizeOfCorrelationPropertyArray()

      Returns number of "correlation-property" element

    - #### setCorrelationPropertyArray

          void setCorrelationPropertyArray(TCorrelationProperty[] correlationPropertyArray)

      Sets array of all "correlation-property" element

    - #### setCorrelationPropertyArray

          void setCorrelationPropertyArray(int i,
                                         TCorrelationProperty correlationProperty)

      Sets ith "correlation-property" element

    - #### insertNewCorrelationProperty

          TCorrelationProperty insertNewCorrelationProperty(int i)

      Inserts and returns a new empty value (as xml) as the ith "correlation-property" element

    - #### addNewCorrelationProperty

          TCorrelationProperty addNewCorrelationProperty()

      Appends and returns a new empty value (as xml) as the last "correlation-property" element

    - #### removeCorrelationProperty

          void removeCorrelationProperty(int i)

      Removes the ith "correlation-property" element